Subject: Re: [Extra] Working Group Last Call: draft-ietf-extra-processimip (and call for shepherd)

From: Ken Murchison <[email-masked]>
Date: Mon, 8 Apr 2024 09:16:16 -0400

Hi Alexey,

On 4/5/24 1:25 PM, Alexey Melnikov wrote:
>
> Hi,
>
> On 20/03/2024 05:48, Bron Gondwana wrote:
>> Hi All,
>>
>> This email starts a working group last call for the document at:
>>
>> https://datatracker.ietf.org/doc/draft-ietf-extra-processimip/
>>
>> If you have any feedback, change requests, or just "yes I support 
>> this document" please reply to this email *by Thursday, April 4th* (a 
>> little over 2 weeks from now).
>
> I am sorry I missed the deadline!
>
> The document is in a good shape. A small nit:
>
> 4.8.  Error String Argument
>
>     The optional :errstr argument specifies the name of a variable into
>     which a string describing the reason for the outcome will be stored.
>     If no reason for the outcome is available, implementations MUST set
>     the variable to the empty string.
>
> Is this trying to say that this is set to "" for any :outcome other than "error"? If yes, maybe it would be clearer to say something like this:
>     The optional :errstr argument specifies the name of a variable into
>     which a string describing the error reason will be stored (when the outcome is "error").
>     For all other outcome values, implementations MUST set
>     the variable to the empty string.

Technically, there could be a an :errstr for any of the :outcomes.  For 
instance, for "no_action" the :errstr could be "only processing 
updates".  But that leads to :errstr being a poorly chosen name.  I'm 
also fine stating that :errstr only applies if the outcome is "error".

Thoughts?

-- 
Kenneth Murchison
Senior Software Developer
Fastmail US LLC